import { Widget } from '../Widget';
interface WidgetClass {
    new (): Widget;
}
export declare class Router<T> {
    protected routePattern: string;
    protected defaults: T;
    lastAttrs: T;
    constructor(viewComponent: WidgetClass, routePattern: string, defaults: T);
    setRoute(attrs: T): void;
    redraw(): void;
    setParts(attrs: T): T;
    private route;
}
export {};
